# Generated by Django 2.1.7 on 2020-10-31 22:52

import customers.models
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import phonenumber_field.modelfields
import simple_history.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='ChangeHeadlineModel',
            fields=[
                ('ID', models.AutoField(primary_key=True, serialize=False)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('operator', models.IntegerField()),
                ('number_typify', models.IntegerField(default=None, null=True)),
                ('service', models.IntegerField(verbose_name='service_change_headline')),
                ('old_customer', models.CharField(max_length=30, verbose_name='service_change_headline')),
                ('new_customer', models.CharField(max_length=30, verbose_name='service_change_headline')),
                ('creator', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='customers_changeheadlinemodel_creator', to=settings.AUTH_USER_MODEL)),
                ('updater', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='customers_changeheadlinemodel_updater', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'Change_headline',
                'verbose_name_plural': 'Change_headlines',
                'ordering': ['-created'],
            },
        ),
        migrations.CreateModel(
            name='ChangePlanModel',
            fields=[
                ('ID', models.AutoField(primary_key=True, serialize=False)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('operator', models.IntegerField()),
                ('number_typify', models.IntegerField(default=None, null=True)),
                ('service', models.IntegerField(verbose_name='service_change_plan')),
                ('old_plan', models.IntegerField(verbose_name='service_change_plan')),
                ('new_plan', models.IntegerField(verbose_name='service_change_plan')),
                ('creator', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='customers_changeplanmodel_creator', to=settings.AUTH_USER_MODEL)),
                ('updater', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='customers_changeplanmodel_updater', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'Change_plan',
                'verbose_name_plural': 'Change_plans',
                'ordering': ['-created'],
            },
        ),
        migrations.CreateModel(
            name='CustomerEmailModel',
            fields=[
                ('operator', models.PositiveIntegerField(choices=[(1, 'Optic'), (2, 'Banda Ancha'), (3, 'Giga')])),
                ('ID', models.AutoField(primary_key=True, serialize=False)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('email', models.EmailField(max_length=254)),
                ('creator', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='customers_customeremailmodel_creator', to=settings.AUTH_USER_MODEL)),
                ('updater', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='customers_customeremailmodel_updater', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='CustomerModel',
            fields=[
                ('operator', models.PositiveIntegerField(choices=[(1, 'Optic'), (2, 'Banda Ancha'), (3, 'Giga')])),
                ('ID', models.AutoField(primary_key=True, serialize=False)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('rut', models.CharField(max_length=30, validators=[customers.models.CustomerModel.validate_rut])),
                ('web', models.URLField(blank=True, null=True)),
                ('facebook', models.URLField(blank=True, null=True, validators=[customers.models.CustomerModel.validate_facebook])),
                ('instagram', models.URLField(blank=True, null=True, validators=[customers.models.CustomerModel.validate_instagram])),
                ('twitter', models.URLField(blank=True, null=True, validators=[customers.models.CustomerModel.validate_twitter])),
                ('creator', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='customers_customermodel_creator', to=settings.AUTH_USER_MODEL)),
                ('emails', models.ManyToManyField(to='customers.CustomerEmailModel')),
            ],
        ),
        migrations.CreateModel(
            name='CustomerPhoneModel',
            fields=[
                ('operator', models.PositiveIntegerField(choices=[(1, 'Optic'), (2, 'Banda Ancha'), (3, 'Giga')])),
                ('ID', models.AutoField(primary_key=True, serialize=False)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('phone', phonenumber_field.modelfields.PhoneNumberField(max_length=128, region=None)),
                ('creator', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='customers_customerphonemodel_creator', to=settings.AUTH_USER_MODEL)),
                ('updater', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='customers_customerphonemodel_updater', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='FeasibilityModel',
            fields=[
                ('ID', models.AutoField(primary_key=True, serialize=False)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('operator', models.IntegerField()),
                ('number_typify', models.IntegerField(default=None, null=True)),
                ('region', models.CharField(blank=True, default='', max_length=100, verbose_name='region')),
                ('commune', models.CharField(blank=True, default='', max_length=100, verbose_name='commune')),
                ('street', models.CharField(blank=True, default='', max_length=200, verbose_name='street')),
                ('department', models.CharField(blank=True, default='', max_length=100, verbose_name='department')),
                ('phone', models.CharField(blank=True, default='', max_length=100, verbose_name='phone')),
                ('name', models.CharField(blank=True, default='', max_length=200, verbose_name='name')),
                ('email', models.EmailField(blank=True, default='', max_length=254, verbose_name='email')),
                ('number_plan', models.IntegerField(verbose_name='plan')),
                ('creator', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='customers_feasibilitymodel_creator', to=settings.AUTH_USER_MODEL)),
                ('updater', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='customers_feasibilitymodel_updater', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'Feasibility',
                'verbose_name_plural': 'Feasibilities',
                'ordering': ['-created'],
            },
        ),
        migrations.CreateModel(
            name='HistoricalChangeHeadlineModel',
            fields=[
                ('ID', models.IntegerField(blank=True, db_index=True)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('updated', models.DateTimeField(blank=True, editable=False)),
                ('operator', models.IntegerField()),
                ('number_typify', models.IntegerField(default=None, null=True)),
                ('service', models.IntegerField(verbose_name='service_change_headline')),
                ('old_customer', models.CharField(max_length=30, verbose_name='service_change_headline')),
                ('new_customer', models.CharField(max_length=30, verbose_name='service_change_headline')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('creator', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('updater', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical Change_headline',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalChangePlanModel',
            fields=[
                ('ID', models.IntegerField(blank=True, db_index=True)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('updated', models.DateTimeField(blank=True, editable=False)),
                ('operator', models.IntegerField()),
                ('number_typify', models.IntegerField(default=None, null=True)),
                ('service', models.IntegerField(verbose_name='service_change_plan')),
                ('old_plan', models.IntegerField(verbose_name='service_change_plan')),
                ('new_plan', models.IntegerField(verbose_name='service_change_plan')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('creator', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('updater', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical Change_plan',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalCustomerEmailModel',
            fields=[
                ('operator', models.PositiveIntegerField(choices=[(1, 'Optic'), (2, 'Banda Ancha'), (3, 'Giga')])),
                ('ID', models.IntegerField(blank=True, db_index=True)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('updated', models.DateTimeField(blank=True, editable=False)),
                ('email', models.EmailField(max_length=254)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('creator', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('updater', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical customer email model',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalCustomerModel',
            fields=[
                ('operator', models.PositiveIntegerField(choices=[(1, 'Optic'), (2, 'Banda Ancha'), (3, 'Giga')])),
                ('ID', models.IntegerField(blank=True, db_index=True)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('updated', models.DateTimeField(blank=True, editable=False)),
                ('rut', models.CharField(max_length=30, validators=[customers.models.CustomerModel.validate_rut])),
                ('web', models.URLField(blank=True, null=True)),
                ('facebook', models.URLField(blank=True, null=True, validators=[customers.models.CustomerModel.validate_facebook])),
                ('instagram', models.URLField(blank=True, null=True, validators=[customers.models.CustomerModel.validate_instagram])),
                ('twitter', models.URLField(blank=True, null=True, validators=[customers.models.CustomerModel.validate_twitter])),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('creator', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('updater', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical customer model',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalCustomerPhoneModel',
            fields=[
                ('operator', models.PositiveIntegerField(choices=[(1, 'Optic'), (2, 'Banda Ancha'), (3, 'Giga')])),
                ('ID', models.IntegerField(blank=True, db_index=True)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('updated', models.DateTimeField(blank=True, editable=False)),
                ('phone', phonenumber_field.modelfields.PhoneNumberField(max_length=128, region=None)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('creator', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('updater', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical customer phone model',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalFeasibilityModel',
            fields=[
                ('ID', models.IntegerField(blank=True, db_index=True)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('updated', models.DateTimeField(blank=True, editable=False)),
                ('operator', models.IntegerField()),
                ('number_typify', models.IntegerField(default=None, null=True)),
                ('region', models.CharField(blank=True, default='', max_length=100, verbose_name='region')),
                ('commune', models.CharField(blank=True, default='', max_length=100, verbose_name='commune')),
                ('street', models.CharField(blank=True, default='', max_length=200, verbose_name='street')),
                ('department', models.CharField(blank=True, default='', max_length=100, verbose_name='department')),
                ('phone', models.CharField(blank=True, default='', max_length=100, verbose_name='phone')),
                ('name', models.CharField(blank=True, default='', max_length=200, verbose_name='name')),
                ('email', models.EmailField(blank=True, default='', max_length=254, verbose_name='email')),
                ('number_plan', models.IntegerField(verbose_name='plan')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('creator', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('updater', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical Feasibility',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalLeadCustomerModel',
            fields=[
                ('operator', models.PositiveIntegerField(choices=[(1, 'Optic'), (2, 'Banda Ancha'), (3, 'Giga')])),
                ('ID', models.IntegerField(blank=True, db_index=True)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('updated', models.DateTimeField(blank=True, editable=False)),
                ('address', models.PositiveIntegerField(null=True)),
                ('street_location', models.PositiveIntegerField()),
                ('name', models.CharField(max_length=100)),
                ('primary_email', models.EmailField(max_length=254)),
                ('secundary_email', models.EmailField(blank=True, max_length=254, null=True)),
                ('primary_phone', phonenumber_field.modelfields.PhoneNumberField(max_length=128, region=None)),
                ('secundary_phone', phonenumber_field.modelfields.PhoneNumberField(blank=True, max_length=128, null=True, region=None)),
                ('origin_company', models.PositiveIntegerField(choices=[(0, 'ENTEL'), (1, 'GTD'), (2, 'MOVISTAR'), (3, 'CLARO'), (4, 'VTR'), (5, 'NINGUNA')], default=5)),
                ('status', models.PositiveIntegerField(choices=[(0, 'LEAD'), (1, 'LEAFLET')], default=0)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('creator', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('updater', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical lead customer model',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalLeadletContactModel',
            fields=[
                ('operator', models.PositiveIntegerField(choices=[(1, 'Optic'), (2, 'Banda Ancha'), (3, 'Giga')])),
                ('ID', models.IntegerField(blank=True, db_index=True)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('updated', models.DateTimeField(blank=True, editable=False)),
                ('contact_type', models.PositiveIntegerField(choices=[(1, 'WHATSAPP'), (2, 'PHONE'), (3, 'EMAIL'), (4, 'FACEBOOK'), (5, 'INSTAGRAM')])),
                ('message', models.TextField()),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('creator', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical leadlet contact model',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalLeadletCustomerModel',
            fields=[
                ('operator', models.PositiveIntegerField(choices=[(1, 'Optic'), (2, 'Banda Ancha'), (3, 'Giga')])),
                ('ID', models.IntegerField(blank=True, db_index=True)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('updated', models.DateTimeField(blank=True, editable=False)),
                ('address', models.PositiveIntegerField(null=True)),
                ('street_location', models.PositiveIntegerField()),
                ('name', models.CharField(max_length=100)),
                ('primary_email', models.EmailField(max_length=254)),
                ('secundary_email', models.EmailField(blank=True, max_length=254, null=True)),
                ('primary_phone', phonenumber_field.modelfields.PhoneNumberField(max_length=128, region=None)),
                ('secundary_phone', phonenumber_field.modelfields.PhoneNumberField(blank=True, max_length=128, null=True, region=None)),
                ('origin_company', models.PositiveIntegerField(choices=[(0, 'ENTEL'), (1, 'GTD'), (2, 'MOVISTAR'), (3, 'CLARO'), (4, 'VTR'), (5, 'NINGUNA')], default=5)),
                ('rut', models.CharField(max_length=30, null=True)),
                ('customer', models.PositiveIntegerField(null=True, validators=[customers.models.LeadletCustomerModel.validate_customer])),
                ('plan', models.PositiveIntegerField(null=True)),
                ('conversion_date', models.DateField(null=True)),
                ('seller', models.PositiveIntegerField(null=True, validators=[customers.models.LeadletCustomerModel.validation_sellers])),
                ('is_customer', models.BooleanField(default=False)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('creator', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical leadlet customer model',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalNewServiceModel',
            fields=[
                ('ID', models.IntegerField(blank=True, db_index=True)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('updated', models.DateTimeField(blank=True, editable=False)),
                ('operator', models.IntegerField()),
                ('number_typify', models.IntegerField(default=None, null=True)),
                ('technicians', models.IntegerField(verbose_name='technicians_number')),
                ('time_qualification', models.IntegerField(verbose_name='time_qualification')),
                ('datetime_installation', models.DateTimeField(verbose_name='new_service_datetime_installation')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('creator', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('updater', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical New_service',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='LeadCustomerModel',
            fields=[
                ('operator', models.PositiveIntegerField(choices=[(1, 'Optic'), (2, 'Banda Ancha'), (3, 'Giga')])),
                ('ID', models.AutoField(primary_key=True, serialize=False)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('address', models.PositiveIntegerField(null=True)),
                ('street_location', models.PositiveIntegerField()),
                ('name', models.CharField(max_length=100)),
                ('primary_email', models.EmailField(max_length=254)),
                ('secundary_email', models.EmailField(blank=True, max_length=254, null=True)),
                ('primary_phone', phonenumber_field.modelfields.PhoneNumberField(max_length=128, region=None)),
                ('secundary_phone', phonenumber_field.modelfields.PhoneNumberField(blank=True, max_length=128, null=True, region=None)),
                ('origin_company', models.PositiveIntegerField(choices=[(0, 'ENTEL'), (1, 'GTD'), (2, 'MOVISTAR'), (3, 'CLARO'), (4, 'VTR'), (5, 'NINGUNA')], default=5)),
                ('status', models.PositiveIntegerField(choices=[(0, 'LEAD'), (1, 'LEAFLET')], default=0)),
                ('creator', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='customers_leadcustomermodel_creator', to=settings.AUTH_USER_MODEL)),
                ('updater', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='customers_leadcustomermodel_updater', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='LeadletContactModel',
            fields=[
                ('operator', models.PositiveIntegerField(choices=[(1, 'Optic'), (2, 'Banda Ancha'), (3, 'Giga')])),
                ('ID', models.AutoField(primary_key=True, serialize=False)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('contact_type', models.PositiveIntegerField(choices=[(1, 'WHATSAPP'), (2, 'PHONE'), (3, 'EMAIL'), (4, 'FACEBOOK'), (5, 'INSTAGRAM')])),
                ('message', models.TextField()),
                ('creator', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='customers_leadletcontactmodel_creator', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='LeadletCustomerModel',
            fields=[
                ('operator', models.PositiveIntegerField(choices=[(1, 'Optic'), (2, 'Banda Ancha'), (3, 'Giga')])),
                ('ID', models.AutoField(primary_key=True, serialize=False)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('address', models.PositiveIntegerField(null=True)),
                ('street_location', models.PositiveIntegerField()),
                ('name', models.CharField(max_length=100)),
                ('primary_email', models.EmailField(max_length=254)),
                ('secundary_email', models.EmailField(blank=True, max_length=254, null=True)),
                ('primary_phone', phonenumber_field.modelfields.PhoneNumberField(max_length=128, region=None)),
                ('secundary_phone', phonenumber_field.modelfields.PhoneNumberField(blank=True, max_length=128, null=True, region=None)),
                ('origin_company', models.PositiveIntegerField(choices=[(0, 'ENTEL'), (1, 'GTD'), (2, 'MOVISTAR'), (3, 'CLARO'), (4, 'VTR'), (5, 'NINGUNA')], default=5)),
                ('rut', models.CharField(max_length=30, null=True)),
                ('customer', models.PositiveIntegerField(null=True, validators=[customers.models.LeadletCustomerModel.validate_customer])),
                ('plan', models.PositiveIntegerField(null=True)),
                ('conversion_date', models.DateField(null=True)),
                ('seller', models.PositiveIntegerField(null=True, validators=[customers.models.LeadletCustomerModel.validation_sellers])),
                ('is_customer', models.BooleanField(default=False)),
                ('creator', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='customers_leadletcustomermodel_creator', to=settings.AUTH_USER_MODEL)),
                ('lead', models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, to='customers.LeadCustomerModel')),
                ('updater', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='customers_leadletcustomermodel_updater', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='NewServiceModel',
            fields=[
                ('ID', models.AutoField(primary_key=True, serialize=False)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('operator', models.IntegerField()),
                ('number_typify', models.IntegerField(default=None, null=True)),
                ('technicians', models.IntegerField(verbose_name='technicians_number')),
                ('time_qualification', models.IntegerField(verbose_name='time_qualification')),
                ('datetime_installation', models.DateTimeField(verbose_name='new_service_datetime_installation')),
                ('creator', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='customers_newservicemodel_creator', to=settings.AUTH_USER_MODEL)),
                ('updater', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='customers_newservicemodel_updater', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'New_service',
                'verbose_name_plural': 'New_services',
                'ordering': ['-created'],
            },
        ),
        migrations.AddField(
            model_name='leadletcontactmodel',
            name='leadted_customer',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='customers.LeadletCustomerModel'),
        ),
        migrations.AddField(
            model_name='leadletcontactmodel',
            name='updater',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='customers_leadletcontactmodel_updater', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalleadletcustomermodel',
            name='lead',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='customers.LeadCustomerModel'),
        ),
        migrations.AddField(
            model_name='historicalleadletcustomermodel',
            name='updater',
            field=models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalleadletcontactmodel',
            name='leadted_customer',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='customers.LeadletCustomerModel'),
        ),
        migrations.AddField(
            model_name='historicalleadletcontactmodel',
            name='updater',
            field=models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='customermodel',
            name='phones',
            field=models.ManyToManyField(to='customers.CustomerPhoneModel'),
        ),
        migrations.AddField(
            model_name='customermodel',
            name='updater',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='customers_customermodel_updater', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddIndex(
            model_name='feasibilitymodel',
            index=models.Index(fields=['email'], name='feasibility_index_email_two'),
        ),
        migrations.AlterUniqueTogether(
            name='customermodel',
            unique_together={('rut', 'operator')},
        ),
    ]
